Bug 568656 - [abrt] crash in kdeutils-printer-applet-6:4.4.0-1.fc12: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.116" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security polic
[abrt] crash in kdeutils-printer-applet-6:4.4.0-1.fc12: connection.py:630:cal...
Status: CLOSED DUPLICATE of bug 499183
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:08997608
: Triaged
: 569097 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 04:33 EST by Christian Ziemski
Modified: 2012-03-18 16:27 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 16:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.53 KB, text/plain)
2010-02-26 04:34 EST, Christian Ziemski
no flags Details

  None (edit)
Description Christian Ziemski 2010-02-26 04:33:55 EST
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/printer-applet
component: kdeutils
executable: /usr/bin/printer-applet
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: kdeutils-printer-applet-6:4.4.0-1.fc12
reason: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.116" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
release: Fedora release 12 (Constantine)
How to reproduce: On every restart of KDE (4.4)

backtrace
-----
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.116" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file

Traceback (most recent call last):
  File "/usr/bin/printer-applet", line 1161, in <module>
    applet = JobManager()
  File "/usr/bin/printer-applet", line 297, in __init__
    notification = NewPrinterNotification(bus, self)
  File "/usr/bin/printer-applet", line 1050, in __init__
    bus_name = dbus.service.BusName (PDS_OBJ, bus=bus)
  File "/usr/lib/python2.6/site-packages/dbus/service.py", line 129, in __new__
    retval = bus.request_name(name, name_flags)
  File "/usr/lib/python2.6/site-packages/dbus/bus.py", line 306, in request_name
    'su', (name, flags))
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.116" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x1de1530>
args: ('com.redhat.NewPrinterNotification', 0)
utf8_strings: False
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/org/freedesktop/DBus'
timeout: -1.0
signature: 'su'
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage object at 0x1fdd8d0>
method: 'RequestName'

comment
-----
1. Updated to KDE 4.4
2. Did a "debuginfo-install kdelibs" due to another crash (kbuildsycoca4)
3. did a manal /usr/bin/kbuildsycoca4 --incremental
4. Rebooted (crash of kbuildsycoca4 seems to be gone)
5. Now the reported crash occure. Always.
Comment 1 Christian Ziemski 2010-02-26 04:34:02 EST
Created attachment 396504 [details]
File: backtrace
Comment 2 Rex Dieter 2010-02-26 12:34:06 EST
dbus denial, fun.

I'll see if I can reproduce this.
Comment 3 Rex Dieter 2010-02-26 12:40:17 EST
I cannot reproduce.

Tim?  any ideas?
Comment 4 Kevin Kofler 2010-02-26 13:25:50 EST
I don't see this happening either. In fact this is the first report we get, if it were systematic, we'd have a lot of them by now. Very strange.
Comment 5 Christian Ziemski 2010-02-26 15:44:56 EST
I still can reproduce it. Even after rebooting again.

If I can do something to give more infos or to test, please let me know.

My system has been setup as new install (when F12 came out some time ago), keeping my /home from F10 of course. Usually I do all standard updates, almost no special things like repo updates-testing.
Comment 6 Christian Ziemski 2010-02-27 04:57:21 EST
Additional info:

I tried it with another (already existing) user and a completely new one as well.
Same effect. On KDE logon abrt pops up with the above crash.
Comment 7 Steven M. Parrish 2010-02-27 22:30:57 EST
This bug has been triaged

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Kevin Kofler 2010-02-27 22:50:47 EST
*** Bug 569097 has been marked as a duplicate of this bug. ***
Comment 9 Christian Ziemski 2010-02-28 04:50:22 EST
More details:

The crash began to happen after an update via yum (KDE 4.4 etc.).
Here the list of updated rpm's. Perhaps it helps (since in the duplicate  https://bugzilla.redhat.com/show_bug.cgi?id=569097 there is another list.):

qt-4.6.2-1.fc12                               Fr 26 Feb 2010 06:44:18 CET
gtk2-2.18.7-1.fc12                            Fr 26 Feb 2010 06:44:23 CET
strigi-libs-0.7.2-2.fc12                      Fr 26 Feb 2010 06:44:27 CET
abrt-libs-1.0.7-1.fc12                        Fr 26 Feb 2010 06:44:29 CET
libcom_err-1.41.9-7.fc12                      Fr 26 Feb 2010 06:44:30 CET
gvfs-1.4.3-5.fc12                             Fr 26 Feb 2010 06:44:32 CET
abrt-1.0.7-1.fc12                             Fr 26 Feb 2010 06:44:37 CET
gnome-desktop-2.28.2-4.fc12                   Fr 26 Feb 2010 06:44:40 CET
compiz-0.8.2-24.fc12                          Fr 26 Feb 2010 06:44:44 CET
attica-0.1.2-1.fc12                           Fr 26 Feb 2010 06:44:47 CET
sip-4.10-1.fc12                               Fr 26 Feb 2010 06:44:48 CET
libss-1.41.9-7.fc12                           Fr 26 Feb 2010 06:44:50 CET
e2fsprogs-libs-1.41.9-7.fc12                  Fr 26 Feb 2010 06:44:52 CET
sip-devel-4.10-1.fc12                         Fr 26 Feb 2010 06:44:53 CET
abrt-addon-python-1.0.7-1.fc12                Fr 26 Feb 2010 06:44:54 CET
abrt-gui-1.0.7-1.fc12                         Fr 26 Feb 2010 06:44:56 CET
abrt-addon-kerneloops-1.0.7-1.fc12            Fr 26 Feb 2010 06:44:58 CET
abrt-plugin-logger-1.0.7-1.fc12               Fr 26 Feb 2010 06:44:59 CET
abrt-addon-ccpp-1.0.7-1.fc12                  Fr 26 Feb 2010 06:45:00 CET
abrt-plugin-runapp-1.0.7-1.fc12               Fr 26 Feb 2010 06:45:02 CET
abrt-plugin-bugzilla-1.0.7-1.fc12             Fr 26 Feb 2010 06:45:03 CET
qt-mysql-4.6.2-1.fc12                         Fr 26 Feb 2010 06:45:04 CET
kdesdk-utils-4.4.0-1.fc12                     Fr 26 Feb 2010 06:45:06 CET
transmission-common-1.90-1.fc12.1             Fr 26 Feb 2010 06:45:08 CET
ppp-2.4.5-2.fc12                              Fr 26 Feb 2010 06:45:10 CET
cln-1.3.0-2.fc12                              Fr 26 Feb 2010 06:45:12 CET
libiodbc-3.52.7-1.fc12                        Fr 26 Feb 2010 06:45:13 CET
virtuoso-opensource-6.1.0-2.fc12              Fr 26 Feb 2010 06:45:16 CET
soprano-2.4.0.1-1.fc12                        Fr 26 Feb 2010 06:45:18 CET
akonadi-1.3.1-2.fc12                          Fr 26 Feb 2010 06:45:20 CET
libqalculate-0.9.6-8.fc12                     Fr 26 Feb 2010 06:45:22 CET
qt-sqlite-4.6.2-1.fc12                        Fr 26 Feb 2010 06:45:24 CET
qt-x11-4.6.2-1.fc12                           Fr 26 Feb 2010 06:45:29 CET
qt-devel-4.6.2-1.fc12                         Fr 26 Feb 2010 06:45:37 CET
PyQt4-4.7-1.fc12                              Fr 26 Feb 2010 06:45:41 CET
qzion-0.4.0-7.fc12                            Fr 26 Feb 2010 06:45:43 CET
qedje-0.4.0-6.fc12                            Fr 26 Feb 2010 06:45:46 CET
qscintilla-2.4.2-1.fc12                       Fr 26 Feb 2010 06:45:48 CET
qwt-5.1.1-4.fc12                              Fr 26 Feb 2010 06:45:50 CET
polkit-qt-0.95.1-3.fc12                       Fr 26 Feb 2010 06:45:51 CET
qtscriptbindings-0.1.0-10.fc12                Fr 26 Feb 2010 06:45:55 CET
dotconf-1.0.13-9.fc12                         Fr 26 Feb 2010 06:45:57 CET
libssh-0.4.1-1.fc12                           Fr 26 Feb 2010 06:45:59 CET
ksysguardd-4.4.0-7.fc12                       Fr 26 Feb 2010 06:46:01 CET
policycoreutils-2.0.79-1.fc12                 Fr 26 Feb 2010 06:46:02 CET
policycoreutils-python-2.0.79-1.fc12          Fr 26 Feb 2010 06:46:05 CET
setroubleshoot-server-2.2.64-1.fc12           Fr 26 Feb 2010 06:46:29 CET
espeak-1.40.02-3.fc12                         Fr 26 Feb 2010 06:46:32 CET
speech-dispatcher-0.6.7-2.fc12                Fr 26 Feb 2010 06:46:34 CET
gnugo-3.8-2.fc12                              Fr 26 Feb 2010 06:46:36 CET
xorg-x11-server-common-1.7.5-1.fc12           Fr 26 Feb 2010 06:46:38 CET
oxygen-icon-theme-4.4.0-2.fc12                Fr 26 Feb 2010 06:46:53 CET
xorg-x11-server-Xorg-1.7.5-1.fc12             Fr 26 Feb 2010 06:46:56 CET
xorg-x11-drv-wacom-0.10.4-2.fc12              Fr 26 Feb 2010 06:46:58 CET
xorg-x11-server-Xvfb-1.7.5-1.fc12             Fr 26 Feb 2010 06:47:00 CET
setroubleshoot-2.2.64-1.fc12                  Fr 26 Feb 2010 06:47:01 CET
qscintilla-python-2.4.2-1.fc12                Fr 26 Feb 2010 06:47:08 CET
PyQt4-devel-4.7-1.fc12                        Fr 26 Feb 2010 06:47:15 CET
transmission-gtk-1.90-1.fc12.1                Fr 26 Feb 2010 06:47:17 CET
e2fsprogs-1.41.9-7.fc12                       Fr 26 Feb 2010 06:47:20 CET
gvfs-obexftp-1.4.3-5.fc12                     Fr 26 Feb 2010 06:47:22 CET
gvfs-archive-1.4.3-5.fc12                     Fr 26 Feb 2010 06:47:23 CET
gvfs-fuse-1.4.3-5.fc12                        Fr 26 Feb 2010 06:47:25 CET
gvfs-gphoto2-1.4.3-5.fc12                     Fr 26 Feb 2010 06:47:26 CET
gvfs-smb-1.4.3-5.fc12                         Fr 26 Feb 2010 06:47:27 CET
gtk2-immodule-xim-2.18.7-1.fc12               Fr 26 Feb 2010 06:47:28 CET
gnome-user-share-2.28.2-2.fc12                Fr 26 Feb 2010 06:47:36 CET
python-imdb-4.4-1.fc12                        Fr 26 Feb 2010 06:47:40 CET
crda-1.1.1_2009.11.25-2.fc12                  Fr 26 Feb 2010 06:47:41 CET
kde-settings-4.3-17                           Fr 26 Feb 2010 06:47:43 CET
strigi-devel-0.7.2-2.fc12                     Fr 26 Feb 2010 06:47:45 CET
shared-desktop-ontologies-0.2-3.fc12          Fr 26 Feb 2010 06:47:47 CET
kde-settings-kdm-4.3-17                       Fr 26 Feb 2010 06:47:48 CET
kdelibs-common-4.4.0-9.fc12                   Fr 26 Feb 2010 06:47:50 CET
kdelibs-4.4.0-9.fc12                          Fr 26 Feb 2010 06:47:58 CET
kdegraphics-libs-4.4.0-1.fc12                 Fr 26 Feb 2010 06:48:01 CET
PyKDE4-4.4.0-1.fc12                           Fr 26 Feb 2010 06:48:04 CET
kdemultimedia-libs-4.4.0-1.fc12               Fr 26 Feb 2010 06:48:07 CET
kdesdk-libs-4.4.0-1.fc12                      Fr 26 Feb 2010 06:48:11 CET
kross-python-4.4.0-1.fc12                     Fr 26 Feb 2010 06:48:12 CET
kio_msits-4.4.0-1.fc12                        Fr 26 Feb 2010 06:48:20 CET
shared-desktop-ontologies-devel-0.2-3.fc12    Fr 26 Feb 2010 06:48:22 CET
soprano-devel-2.4.0.1-1.fc12                  Fr 26 Feb 2010 06:48:24 CET
attica-devel-0.1.2-1.fc12                     Fr 26 Feb 2010 06:48:27 CET
kdelibs-devel-4.4.0-9.fc12                    Fr 26 Feb 2010 06:48:31 CET
control-center-filesystem-2.28.1-17.fc12      Fr 26 Feb 2010 06:48:34 CET
control-center-2.28.1-17.fc12                 Fr 26 Feb 2010 06:48:47 CET
webkitkde-0.0.5-0.1.svn1088283.fc12           Fr 26 Feb 2010 06:48:51 CET
webkitpart-0.0.5-0.1.svn1088283.fc12          Fr 26 Feb 2010 06:48:53 CET
smolt-1.4.2-1.fc12                            Fr 26 Feb 2010 06:48:54 CET
compiz-gnome-0.8.2-24.fc12                    Fr 26 Feb 2010 06:49:02 CET
kdegraphics-4.4.0-1.fc12                      Fr 26 Feb 2010 06:49:08 CET
smolt-firstboot-1.4.2-1.fc12                  Fr 26 Feb 2010 06:49:21 CET
kdemultimedia-devel-4.4.0-1.fc12              Fr 26 Feb 2010 06:49:22 CET
kdeutils-printer-applet-4.4.0-1.fc12          Fr 26 Feb 2010 06:49:23 CET
system-config-printer-kde-4.4.0-2.fc12        Fr 26 Feb 2010 06:49:24 CET
kde-settings-pulseaudio-4.3-17                Fr 26 Feb 2010 06:49:26 CET
policycoreutils-gui-2.0.79-1.fc12             Fr 26 Feb 2010 06:49:27 CET
abrt-desktop-1.0.7-1.fc12                     Fr 26 Feb 2010 06:49:28 CET
logwatch-7.3.6-50.fc12                        Fr 26 Feb 2010 06:49:30 CET
libcom_err-1.41.9-7.fc12                      Fr 26 Feb 2010 06:49:32 CET
gtk2-2.18.7-1.fc12                            Fr 26 Feb 2010 06:49:34 CET
libcom_err-devel-1.41.9-7.fc12                Fr 26 Feb 2010 06:49:37 CET
kdepimlibs-4.4.0-2.fc12                       Fr 26 Feb 2010 06:49:40 CET
kdepimlibs-akonadi-4.4.0-2.fc12               Fr 26 Feb 2010 06:49:42 CET
kdebase-runtime-4.4.0-3.fc12                  Fr 26 Feb 2010 06:49:48 CET
kdeedu-marble-libs-4.4.0-1.fc12               Fr 26 Feb 2010 06:49:51 CET
kdebase-libs-4.4.0-3.fc12                     Fr 26 Feb 2010 06:49:53 CET
kdebase-4.4.0-3.fc12                          Fr 26 Feb 2010 06:49:57 CET
digikam-libs-1.1.0-2.fc12                     Fr 26 Feb 2010 06:50:00 CET
kpilot-libs-5.3.0-4.fc12                      Fr 26 Feb 2010 06:50:02 CET
kdepim-libs-4.4.0-5.fc12                      Fr 26 Feb 2010 06:50:05 CET
kdebase-runtime-libs-4.4.0-3.fc12             Fr 26 Feb 2010 06:50:07 CET
kdenetwork-libs-4.4.0-2.fc12                  Fr 26 Feb 2010 06:50:09 CET
kdeaccessibility-libs-4.4.0-1.fc12            Fr 26 Feb 2010 06:50:11 CET
cronie-anacron-1.4.3-4.fc12                   Fr 26 Feb 2010 06:50:12 CET
perl-Git-1.6.6.1-1.fc12                       Fr 26 Feb 2010 06:50:14 CET
kpilot-5.3.0-4.fc12                           Fr 26 Feb 2010 06:50:16 CET
digikam-1.1.0-2.fc12                          Fr 26 Feb 2010 06:50:21 CET
kdesdk-4.4.0-1.fc12                           Fr 26 Feb 2010 06:50:27 CET
kdeedu-marble-4.4.0-1.fc12                    Fr 26 Feb 2010 06:50:32 CET
cronie-1.4.3-4.fc12                           Fr 26 Feb 2010 06:50:35 CET
git-1.6.6.1-1.fc12                            Fr 26 Feb 2010 06:50:39 CET
kdeaccessibility-4.4.0-1.fc12                 Fr 26 Feb 2010 06:50:47 CET
kdenetwork-4.4.0-2.fc12                       Fr 26 Feb 2010 06:50:54 CET
konq-plugins-4.4.0-2.fc12                     Fr 26 Feb 2010 06:51:00 CET
kdepimlibs-devel-4.4.0-2.fc12                 Fr 26 Feb 2010 06:51:03 CET
kdebase-workspace-libs-4.4.0-7.fc12           Fr 26 Feb 2010 06:51:06 CET
kdebase-workspace-4.4.0-7.fc12                Fr 26 Feb 2010 06:51:12 CET
kdeplasma-addons-libs-4.4.0-1.fc12            Fr 26 Feb 2010 06:51:15 CET
kdeutils-libs-4.4.0-1.fc12                    Fr 26 Feb 2010 06:51:17 CET
kipi-plugins-libs-1.1.0-1.fc12.2              Fr 26 Feb 2010 06:51:19 CET
kdeutils-4.4.0-1.fc12                         Fr 26 Feb 2010 06:51:21 CET
kdepim-runtime-4.4.0-4.fc12                   Fr 26 Feb 2010 06:51:24 CET
kdepim-4.4.0-5.fc12                           Fr 26 Feb 2010 06:51:29 CET
kdemultimedia-4.4.0-1.fc12                    Fr 26 Feb 2010 06:51:32 CET
kdeartwork-kxs-4.4.0-1.fc12                   Fr 26 Feb 2010 06:51:35 CET
kbluetooth-0.4.1-2.fc12                       Fr 26 Feb 2010 06:51:36 CET
kdeartwork-screensavers-4.4.0-1.fc12          Fr 26 Feb 2010 06:51:39 CET
kdepim-runtime-libs-4.4.0-4.fc12              Fr 26 Feb 2010 06:51:41 CET
kipi-plugins-1.1.0-1.fc12.2                   Fr 26 Feb 2010 06:51:46 CET
kdebase-workspace-python-applet-4.4.0-7.fc12  Fr 26 Feb 2010 06:51:49 CET
kdeplasma-addons-4.4.0-1.fc12                 Fr 26 Feb 2010 06:51:52 CET
kdm-4.4.0-7.fc12                              Fr 26 Feb 2010 06:51:55 CET
kdebase-workspace-devel-4.4.0-7.fc12          Fr 26 Feb 2010 06:51:57 CET
compiz-kde-0.8.2-24.fc12                      Fr 26 Feb 2010 06:51:59 CET
OpenEXR-debuginfo-1.6.1-8.fc12                Fr 26 Feb 2010 09:45:18 CET
attica-debuginfo-0.1.2-1.fc12                 Fr 26 Feb 2010 09:45:21 CET
libutempter-debuginfo-1.1.5-4.fc12            Fr 26 Feb 2010 09:45:23 CET
soprano-debuginfo-2.4.0.1-1.fc12              Fr 26 Feb 2010 09:45:26 CET
libXft-debuginfo-2.1.13-4.fc12                Fr 26 Feb 2010 09:45:30 CET
libXrender-debuginfo-0.9.5-1.fc12             Fr 26 Feb 2010 09:45:31 CET
pcre-debuginfo-7.8-3.fc12                     Fr 26 Feb 2010 09:45:32 CET
mesa-debuginfo-7.7-3.fc12                     Fr 26 Feb 2010 09:45:41 CET
qca2-debuginfo-2.0.2-2.fc12                   Fr 26 Feb 2010 09:45:45 CET
kdelibs-debuginfo-4.4.0-9.fc12                Fr 26 Feb 2010 09:46:16 CET
libpng-debuginfo-1.2.42-1.fc12                Fr 26 Feb 2010 09:46:19 CET
libxslt-debuginfo-1.1.26-1.fc12               Fr 26 Feb 2010 09:46:20 CET
phonon-debuginfo-4.3.80-5.fc12                Fr 26 Feb 2010 09:46:23 CET
libxml2-debuginfo-2.7.6-1.fc12                Fr 26 Feb 2010 09:46:25 CET
polkit-qt-debuginfo-0.95.1-3.fc12             Fr 26 Feb 2010 09:46:27 CET
gcc-debuginfo-4.4.3-4.fc12                    Fr 26 Feb 2010 09:46:59 CET
libjpeg-debuginfo-6b-46.fc12                  Fr 26 Feb 2010 09:47:02 CET
libXext-debuginfo-1.1-2.fc12                  Fr 26 Feb 2010 09:47:03 CET
libXpm-debuginfo-3.5.8-2.fc12                 Fr 26 Feb 2010 09:47:06 CET
gamin-debuginfo-0.1.10-5.fc12                 Fr 26 Feb 2010 09:47:07 CET
krb5-debuginfo-1.7.1-2.fc12                   Fr 26 Feb 2010 09:47:11 CET
glibc-debuginfo-2.11.1-1                      Fr 26 Feb 2010 09:47:24 CET
enchant-debuginfo-1.5.0-3.fc12                Fr 26 Feb 2010 09:47:27 CET
libX11-debuginfo-1.3-1.fc12                   Fr 26 Feb 2010 09:47:30 CET
giflib-debuginfo-4.1.6-3.fc12                 Fr 26 Feb 2010 09:47:32 CET
attr-debuginfo-2.4.44-1.fc12                  Fr 26 Feb 2010 09:47:33 CET
xz-debuginfo-4.999.9-0.2.beta.20091007git.fc12 Fr 26 Feb 2010 09:47:35 CET
libXau-debuginfo-1.0.5-1.fc12                 Fr 26 Feb 2010 09:47:37 CET
libSM-debuginfo-1.1.0-7.fc12                  Fr 26 Feb 2010 09:47:38 CET
strigi-debuginfo-0.7.2-2.fc12                 Fr 26 Feb 2010 09:47:41 CET
jasper-debuginfo-1.900.1-14.fc12              Fr 26 Feb 2010 09:47:43 CET
bzip2-debuginfo-1.0.5-6.fc12                  Fr 26 Feb 2010 09:47:44 CET
libXtst-debuginfo-1.0.99.2-3.fc12             Fr 26 Feb 2010 09:47:46 CET
e2fsprogs-debuginfo-1.41.9-7.fc12             Fr 26 Feb 2010 09:47:48 CET
qt-debuginfo-4.6.2-1.fc12                     Fr 26 Feb 2010 09:48:54 CET
libXcursor-debuginfo-1.1.10-1.fc12            Fr 26 Feb 2010 09:48:57 CET
libXdmcp-debuginfo-1.0.3-1.fc12               Fr 26 Feb 2010 09:48:58 CET
libXScrnSaver-debuginfo-1.2.0-1.fc12          Fr 26 Feb 2010 09:48:59 CET
ilmbase-debuginfo-1.0.1-6.fc12                Fr 26 Feb 2010 09:49:00 CET
zlib-debuginfo-1.2.3-23.fc12                  Fr 26 Feb 2010 09:49:02 CET
libICE-debuginfo-1.0.6-1.fc12                 Fr 26 Feb 2010 09:49:03 CET
libXfixes-debuginfo-4.0.4-1.fc12              Fr 26 Feb 2010 09:49:04 CET
acl-debuginfo-2.2.49-2.fc12                   Fr 26 Feb 2010 09:49:06 CET
Comment 10 Tim Waugh 2010-03-01 07:29:20 EST
This just looks like a bug in printer-applet.  If you are not running your session at the console you will not be allowed to own that service.  The KDE applet should catch that exception -- system-config-printer-applet does, for example.
Comment 11 Rex Dieter 2010-03-01 09:23:56 EST
Good point, thanks!

Reporters, how are you logging in?  (via gdm, kdm, other?)

What does the output of:
$ ck-list-sessions
say?

Does it include
 is-local = TRUE
?
Comment 12 Christian Ziemski 2010-03-01 11:47:02 EST
I have installed the system with Gnome and KDE without modifying the login details. As far as I can know I'm logging in via gdm (there are several gdm related processes).


$ ck-list-sessions
Session2:
        unix-user = '500'
        realname = 'Christian'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2010-03-01T16:20:09.970819Z'
        login-session-id = '1'
Comment 13 Kevin Kofler 2010-03-02 00:23:48 EST
Could this be yet another instance of bug 499183?
Comment 14 Christian Ziemski 2010-03-02 16:24:35 EST
There seems to be indeed a relation to bug 499183.

I don't understand the technical details of the above bug, 
but I tried the following as described there:


$ ls -alZ /tmp/.X11-unix

drwxrwxrwt. root root system_u:object_r:initrc_tmp_t:s0 .
drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
srwxrwxrwx. root root system_u:object_r:initrc_tmp_t:s0 X0


# /sbin/restorecon /tmp/.X11-unix


$ ls -alZ /tmp/.X11-unix

drwxrwxrwt. root root system_u:object_r:xserver_tmp_t:s0 .
drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
srwxrwxrwx. root root system_u:object_r:initrc_tmp_t:s0 X0

The context of .X11-unix has changed.


After a logout/login the crash didn't occur.

But after a reboot it crashed again.
And /tmp/.X11-unix  has the context "initrc_tmp_t" again:


$ ls -alZ /tmp/.X11-unix

drwxrwxrwt. root root system_u:object_r:initrc_tmp_t:s0 .
Comment 15 Christian Ziemski 2010-03-02 16:38:04 EST
And just a minute ago I updated to
freenx-server.x86_64   0.7.3-18.fc12   from updates-testing.

Now it looks like this after rebooting:

$ ls -alZ /tmp/.X11-unix 

drwxrwxrwt. root root system_u:object_r:xserver_tmp_t:s0 .
drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
srwxrwxrwx. root root system_u:object_r:xserver_tmp_t:s0 X0


And the reported crash no longer occurs!


Solved?!   :-)
Comment 16 Kevin Kofler 2010-03-02 16:38:41 EST

*** This bug has been marked as a duplicate of bug 499183 ***
Comment 17 Artem 2011-03-16 06:19:19 EDT
I still have this problem in F14 with SELinux disabled (connecting through freenx)
Comment 18 Bill McGonigle 2012-03-18 15:13:18 EDT
Yeah, the resolution of this as duplicate of bug 499183 might hit one case, but to Tim's point, I'm seeing this on a VNC connection with SELinux disabled and it's still a problem.

ck-list-sessions:  

Session5:
        unix-user = '501'
        realname = 'BFC Computing'
        seat = 'Seat5'
        session-type = ''
        active = FALSE
        x11-display = ':2'
        x11-display-device = ''
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2012-03-14T21:31:24.367463Z'
        login-session-id = '4294967295'
Session1:
        unix-user = '500'
        realname = 'Bill McGonigle'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty1'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2012-03-14T21:18:35.684567Z'
        login-session-id = '4294967295'
Comment 19 Kevin Kofler 2012-03-18 16:27:02 EDT
See bug #711719.

Note You need to log in before you can comment on or make changes to this bug.